datablock ParticleData(aniFireSmallParticle)
{
	dragCoefficient			= 0.0;
	windCoefficient			= 0.0;
	gravityCoefficient		= 0.0;
	inheritedVelFactor		= 0.0;
	constantAcceleration		= 0.0;
	lifetimeMS			= 6400; // 1000 / framerate * number of frames
	lifetimeVarianceMS		= 0;
	useInvAlpha			= false; // False for glow, true for shadows

	animateTexture			= true;
	textureName			= "./f/a";
	framesPerSec = 40;

//Always keep the file names as short as possible
	
animTexName[0] = "./f/a";
animTexName[1] = "./f/b";
animTexName[2] = "./f/c";
animTexName[3] = "./f/d";
animTexName[4] = "./f/e";
animTexName[5] = "./f/f";
animTexName[6] = "./f/g";
animTexName[7] = "./f/h";
animTexName[8] = "./f/i";
animTexName[9] = "./f/j";
animTexName[10] = "./f/k";
animTexName[11] = "./f/l";
animTexName[12] = "./f/m";
animTexName[13] = "./f/n";
animTexName[14] = "./f/o";
animTexName[15] = "./f/p";
animTexName[16] = "./f/q";
animTexName[17] = "./f/r";
animTexName[18] = "./f/s";
animTexName[19] = "./f/t";
animTexName[20] = "./f/u";
animTexName[21] = "./f/v";
animTexName[22] = "./f/w";
animTexName[23] = "./f/x";
animTexName[24] = "./f/y";
animTexName[25] = "./f/z";
animTexName[26] = "./f/aa";
animTexName[27] = "./f/bb";
animTexName[28] = "./f/cc";
animTexName[29] = "./f/dd";
animTexName[30] = "./f/ee";
animTexName[31] = "./f/ff";

	colors[0]	= "1 1 1 1";	
	colors[1]	= "1 1 1 1";	
	colors[2]	= "1 1 1 1";	

	sizes[0]	= 1.0;
	sizes[1]	= 1.25;
	sizes[2]	= 1.0;

	times[0]	= 0.0;
	times[1]	= 0.5;
	times[2]	= 1.0;
};

datablock ParticleData(aniFireMediumParticle : aniFireSmallParticle) // Makes a copy of the small fire and only changes the size
{
	sizes[0]	= 2.0;
	sizes[1]	= 2.25;
	sizes[2]	= 2.0;
};

datablock ParticleData(aniFireLargeParticle : aniFireSmallParticle) // Makes a copy of the small fire and only changes the size
{
	sizes[0]	= 4.0;
	sizes[1]	= 4.25;
	sizes[2]	= 4.0;
};

datablock ParticleEmitterData(aniFireSmallEmitter)
{
   ejectionPeriodMS = 800; //Stored with only 10 bits of precision, so values above 1023 are not possible.
   periodVarianceMS = 0;
   lifetimeMS       = 100;
   ejectionVelocity = 0.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 0;
   overrideAdvance = false;
   orientParticles = false;
   useEmitterColors = true;
   particles = "aniFireSmallParticle";

   uiName = "Campfire A Small";
};

datablock ParticleEmitterData(aniFireMediumEmitter)
{
   ejectionPeriodMS = 800; //Stored with only 10 bits of precision, so values above 1023 are not possible.
   periodVarianceMS = 0;
   lifetimeMS       = 100;
   ejectionVelocity = 0.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.5;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 0;
   overrideAdvance = false;
   orientParticles = false;
   useEmitterColors = true;
   particles = "aniFireMediumParticle";

   uiName = "Campfire A Medium";
};

datablock ParticleEmitterData(aniFireLargeEmitter)
{
   ejectionPeriodMS = 800; //Stored with only 10 bits of precision, so values above 1023 are not possible.
   periodVarianceMS = 0;
   lifetimeMS       = 100;
   ejectionVelocity = 0.0;
   velocityVariance = 0.0;
   ejectionOffset   = 1.5;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 0;
   overrideAdvance = false;
   orientParticles = false;
   useEmitterColors = true;
   particles = "aniFireLargeParticle";

   uiName = "Campfire A Large";
};