datablock ParticleData(aniFireBSmallParticle)
{
	dragCoefficient			= 0.0;
	windCoefficient			= 0.0;
	gravityCoefficient		= 0.0;
	inheritedVelFactor		= 0.0;
	constantAcceleration		= 0.0;
	lifetimeMS			= 6400; // 1000 / framerate * number of frames
	lifetimeVarianceMS		= 0;
	useInvAlpha			= false; // False for glow, true for shadows

	animateTexture			= true;
	textureName			= "./f/1";
	framesPerSec = 40;

//Always keep the file names as short as possible
	
animTexName[0] = "./f/1";
animTexName[1] = "./f/2";
animTexName[2] = "./f/3";
animTexName[3] = "./f/4";
animTexName[4] = "./f/5";
animTexName[5] = "./f/6";
animTexName[6] = "./f/7";
animTexName[7] = "./f/8";
animTexName[8] = "./f/9";
animTexName[9] = "./f/10";
animTexName[10] = "./f/11";
animTexName[11] = "./f/12";
animTexName[12] = "./f/13";
animTexName[13] = "./f/14";
animTexName[14] = "./f/15";
animTexName[15] = "./f/16";
animTexName[16] = "./f/17";
animTexName[17] = "./f/18";
animTexName[18] = "./f/19";
animTexName[19] = "./f/20";
animTexName[20] = "./f/21";
animTexName[21] = "./f/22";
animTexName[22] = "./f/23";
animTexName[23] = "./f/24";
animTexName[24] = "./f/25";
animTexName[25] = "./f/26";
animTexName[26] = "./f/27";
animTexName[27] = "./f/28";
animTexName[28] = "./f/29";
animTexName[29] = "./f/30";
animTexName[30] = "./f/31";
animTexName[31] = "./f/32";

	colors[0]	= "1 1 1 1";	
	colors[1]	= "1 1 1 1";	
	colors[2]	= "1 1 1 1";	

	sizes[0]	= 1.0;
	sizes[1]	= 1.25;
	sizes[2]	= 1.0;

	times[0]	= 0.0;
	times[1]	= 0.5;
	times[2]	= 1.0;
};

datablock ParticleData(aniFireBMediumParticle : aniFireBSmallParticle) // Makes a copy of the small fire and only changes the size
{
	sizes[0]	= 2.0;
	sizes[1]	= 2.25;
	sizes[2]	= 2.0;
};

datablock ParticleData(aniFireBLargeParticle : aniFireBSmallParticle) // Makes a copy of the small fire and only changes the size
{
	sizes[0]	= 4.0;
	sizes[1]	= 4.25;
	sizes[2]	= 4.0;
};

datablock ParticleEmitterData(aniFireBSmallEmitter)
{
   ejectionPeriodMS = 800; //Stored with only 10 bits of precision, so values above 1023 are not possible.
   periodVarianceMS = 0;
   lifetimeMS       = 100;
   ejectionVelocity = 0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.1;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 0;
   overrideAdvance = false;
 //orientParticles = true;
   useEmitterColors = true;
   particles = "aniFireBSmallParticle";

   uiName = "Campfire B Small";
};

datablock ParticleEmitterData(aniFireBMediumEmitter)
{
   ejectionPeriodMS = 800; //Stored with only 10 bits of precision, so values above 1023 are not possible.
   periodVarianceMS = 0;
   lifetimeMS       = 100;
   ejectionVelocity = 0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.75;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 0;
   overrideAdvance = false;
 //orientParticles = true;
   useEmitterColors = true;
   particles = "aniFireBMediumParticle";

   uiName = "Campfire B Medium";

};

datablock ParticleEmitterData(aniFireBLargeEmitter)
{
   ejectionPeriodMS = 800; //Stored with only 10 bits of precision, so values above 1023 are not possible.
   periodVarianceMS = 0;
   lifetimeMS       = 100;
   ejectionVelocity = 0;
   velocityVariance = 0.0;
   ejectionOffset   = 1.5;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 0;
   overrideAdvance = false;
 //orientParticles = true;
 //orientOnVelocity = true;
   useEmitterColors = true;
   particles = "aniFireBLargeParticle";

   uiName = "Campfire B Large";
};