datablock ParticleData(campfireSmokeParticle)
{
	dragCoefficient      = 3;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.6;
	constantAcceleration = 1;
	lifetimeMS           = 10000;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 0.05;
	spinRandomMin		= -180.0;
	spinRandomMax		= 180.0;

	colors[0]	= "0.5 0.5 0.5 0.0";
	colors[1]	= "0.5 0.5 0.5 0.75";
	colors[2]	= "0.25 0.25 0.25 0.025";
	colors[3]	= "0.2 0.2 0.2 0.0";

	sizes[0]	= 0.0;
	sizes[1]	= 1.0;
	sizes[2]	= 5.0;
	sizes[3]	= 6.0;

	times[0]	= 0.00;
	times[1]	= 0.05;
	times[2]	= 0.75;
	times[3]	= 1.00;

	windCoefficient = 5.0;

	useInvAlpha = true;
};

datablock ParticleEmitterData(campfireSmokeEmitter)
{
   ejectionPeriodMS = 10;
   periodVarianceMS = 4;
   ejectionVelocity = 10;
   velocityVariance = 2;
   ejectionOffset   = 0;
   thetaMin         = 0;
   thetaMax         = 10;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   useEmitterColors = false;
   particles = "campfireSmokeParticle";

   uiName = "Campfire Smoke";
};